library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_unsigned.all;

entity pdafir is 
	port  (
		clk   :in std_logic;
		ce   :in std_logic;
		rst :in std_logic;
		x : in std_logic_vector(15 downto 0);
		y : out std_logic_vector(15 downto 0)
		);
end pdafir;

architecture pdafir_arch of pdafir is
begin	   
	process (clk,rst)
	begin
		if rst='1' then	 
			y <= (others => '0');
		elsif clk'event and clk='1' then
			if ce = '1' then   
				y <= x;	  -- simple copy
			end if;
		end if;
	end process; 
end pdafir_arch;